using System.ComponentModel;
using SushiBarContracts.Attributes;
using SushiBarDataModels.Models;

namespace SushiBarContracts.ViewModels
{
    public class SushiViewModel : ISushiModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string SushiName { get; set; } = string.Empty;

        [Column(title: "Цена", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public double Price { get; set; }

        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> SushiComponents
        {
            get;
            set;
        } = new();
    }
}
